import Vue from 'vue';
import VueRouter from 'vue-router';
import store from '@/store/index';
const jwt = require('jsonwebtoken');
const originalPush = VueRouter.prototype.push;
VueRouter.prototype.push = function push(location) {
  return originalPush.call(this, location).catch((err) => err);
};
Vue.use(VueRouter);
const scientific = [
  {
    path: '/scientific/notice/index',
    meta: { title: '通知通告' },
    component: () => import('../views/scientific/notice/index.vue'),
  },
  {
    path: '/scientific/notice/detail',
    meta: { title: '详细信息' },
    component: () => import('../views/scientific/notice/detail.vue'),
  },
  {
    path: '/scientific/analysis/index',
    meta: { title: '政策信息' },
    component: () => import('../views/scientific/analysis/index.vue'),
  },
  {
    path: '/scientific/analysis/detail',
    meta: { title: '详细信息' },
    component: () => import('../views/scientific/analysis/detail.vue'),
  },
  {
    path: '/scientific/industry/index',
    meta: { title: '吉药资讯' },
    component: () => import('../views/scientific/industry/index.vue'),
  },
  {
    path: '/scientific/industry/detail',
    meta: { title: '详细信息' },
    component: () => import('../views/scientific/industry/detail.vue'),
  },
  {
    path: '/scientific/viewpoint/index',
    meta: { title: '智库视点' },
    component: () => import('../views/scientific/viewpoint/index.vue'),
  },
  {
    path: '/scientific/viewpoint/detail',
    meta: { title: '详细信息' },
    component: () => import('../views/scientific/viewpoint/detail.vue'),
  },
  {
    path: '/scientific/navigation/index',
    meta: { title: '数据导航' },
    component: () => import('../views/scientific/navigation/index.vue'),
  },
];
const service = [
  {
    path: '/service/achieve/index',
    meta: { title: '成果评价' },
    component: () => import('../views/service/achieve/index.vue'),
  },
  {
    path: '/service/achieve/detail',
    meta: { title: '详细信息' },
    component: () => import('../views/service/achieve/detail.vue'),
  },
];
const exchange = [
  {
    path: '/exchange/project/index',
    meta: { title: '项目征集' },
    component: () => import('../views/exchange/project/index.vue'),
  },
  {
    path: '/exchange/business/index',
    meta: { title: '咨询服务' },
    component: () => import('../views/exchange/business/index.vue'),
  },
  {
    path: '/exchange/business/detail',
    meta: { title: '详细信息' },
    component: () => import('../views/exchange/business/detail.vue'),
  },
];
const web = [
  {
    path: '/',
    name: 'index',
    meta: { title: '网站首页' },
    component: () => import('../views/index.vue'),
  },
  ...scientific,
  ...service,
  ...exchange,
];
const routes = [...web];
const router = new VueRouter({
  mode: 'history',
  base: process.env.VUE_APP_ROUTER,
  routes,
});
// router.beforeEach((to, from, next) => {
//   // let openid = 'oFqNO6VHEEwnMB_l1AD3pooBAkHk';
//   let openid = to.query.openid;
//   sessionStorage.setItem('openid', openid);
//   document.title = `${to.meta.title} `;
//   const token = localStorage.getItem('token');
//   // 不带参数
//   if (to.path == '/exchange/center/index') {
//     if (!token) {
//       next(`/login?path=${to.path}&&type=1`);
//     } else {
//       let user = jwt.decode(token);
//       store.commit('setUser', user, { root: true });
//       next();
//     }
//     // 带参数
//     // } else if (to.path == '/finance/apply') {
//     //   if (!token) {
//     //     next(`/login?path=${to.fullPath}`);
//     //   } else {
//     //     let user = jwt.decode(token);
//     //     store.commit('setUser', user, { root: true });
//     //     next();
//     //   }
//     //   // 已登录
//   } else {
//     let user = jwt.decode(token);
//     store.commit('setUser', user, { root: true });
//     next();
//   }
// });

export default router;
